> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Port Phone Numbers

> Submit a port-in request for local phone numbers



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/number-porting/phone-number
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/number-porting/phone-number:
    post:
      tags:
        - Number Porting
      summary: Port Phone Numbers
      description: Submit a port-in request for local phone numbers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                  description: Tenant ID
                portDate:
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  description: Port date
                numberList:
                  type: array
                  prefixItems:
                    - type: object
                      properties:
                        numberArray:
                          minItems: 1
                          type: array
                          items:
                            type: string
                            pattern: ^[1-9]\d{9}$
                        accountNumber:
                          type: string
                          minLength: 3
                        accountPin:
                          type: string
                        authorizedPerson:
                          type: string
                          minLength: 3
                        companyName:
                          type: string
                          minLength: 3
                        postalCode:
                          type: string
                          minLength: 1
                        state:
                          type: string
                          minLength: 2
                        streetInfo:
                          type: string
                          minLength: 3
                        streetNum:
                          type: string
                          minLength: 1
                        city:
                          type: string
                          minLength: 2
                        atn:
                          type: string
                          pattern: ^[1-9]\d{9}$
                      required:
                        - numberArray
                        - accountNumber
                        - accountPin
                        - authorizedPerson
                        - companyName
                        - postalCode
                        - state
                        - streetInfo
                        - streetNum
                        - city
                        - atn
                      additionalProperties: false
                  items:
                    type: object
                    properties:
                      numberArray:
                        minItems: 1
                        type: array
                        items:
                          type: string
                          pattern: ^[1-9]\d{9}$
                      accountNumber:
                        type: string
                        minLength: 3
                      accountPin:
                        type: string
                      authorizedPerson:
                        type: string
                        minLength: 3
                      companyName:
                        type: string
                        minLength: 3
                      postalCode:
                        type: string
                        minLength: 1
                      state:
                        type: string
                        minLength: 2
                      streetInfo:
                        type: string
                        minLength: 3
                      streetNum:
                        type: string
                        minLength: 1
                      city:
                        type: string
                        minLength: 2
                      atn:
                        type: string
                        pattern: ^[1-9]\d{9}$
                    required:
                      - numberArray
                      - accountNumber
                      - accountPin
                      - authorizedPerson
                      - companyName
                      - postalCode
                      - state
                      - streetInfo
                      - streetNum
                      - city
                      - atn
                    additionalProperties: false
                  description: Number list
              required:
                - tenantId
                - portDate
                - numberList
              additionalProperties: false
      responses:
        '200':
          description: Port request submitted
          content:
            application/json:
              schema:
                type: object
                properties:
                  orderId:
                    type: number
                    description: Port order ID
                  status:
                    type: string
                    description: Status
                  message:
                    type: string
                    description: Result message
                required:
                  - orderId
                  - status
                  - message
                additionalProperties: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '403':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````